IF OBJECT_ID('dbo.sp_fdt_reapertura_embargos_ni') IS NOT NULL
    DROP PROCEDURE dbo.sp_fdt_reapertura_embargos_ni
GO
CREATE PROCEDURE dbo.sp_fdt_reapertura_embargos_ni
(  
    @pch_compania char(4),  
    @pch_trabajador char(10),  
    @pch_tipo_nom char(2),  
    @psi_anio_acum smallint,  
    @pti_mes_acum tinyint,  
    @psi_num_liq smallint  
)  
/*****************************************************************/  
/*** Modulo:      Módulo Fiscal Colombiano - Embargos          ***/  
/*** Descripcion: Actualiza saldos y controla situacion en NI  ***/  
/*** Autor:       Juan Carlos Leguizamon                       ***/  
/*** Fecha:       Sep-22-06                                    ***/  
/*****************************************************************/  
AS  
BEGIN  
    SELECT con = concepto, sec = factor_02, imp = sum(importe)  
    INTO #embs  
    FROM liquidaciones_det a  
    WHERE compania = @pch_compania  
      AND tipo_nomina = @pch_tipo_nom  
      AND anio_acumular = @psi_anio_acum  
      AND mes_acumular = @pti_mes_acum  
      AND numero_liquidacion = @psi_num_liq  
      AND trabajador = @pch_trabajador  
      AND EXISTS (SELECT 1 FROM fdt_embargos x  
                  WHERE a.compania = x.compania AND a.trabajador = x.trabajador  
                    AND a.concepto = x.concepto AND x.monto_total > 0 and x.situacion = 1)  
    GROUP BY concepto, factor_02  
  
    UPDATE fdt_embargos  
    SET saldo_actual = saldo_actual + imp  
    FROM #embs  
    WHERE concepto = con   
      AND secuencia = sec  
      AND compania = @pch_compania  
      AND trabajador = @pch_trabajador  
      AND monto_total > 0  
  
    DROP TABLE #embs  
  
    UPDATE  
        fdt_embargos  
    SET  
        situacion = 1, fecha_baja = NULL  
    WHERE  
        compania = @pch_compania And  
        monto_total > 0 And  
        situacion = 2 And  
        saldo_actual > 0  
END  
GO
GRANT EXECUTE ON dbo.sp_fdt_reapertura_embargos_ni TO PUBLIC
GO
